AutoCad 3D :: Create 3D Shapes Based On 2D Drawing
Feb 6, 2013How to do the automatic creation of 3D solids based on plans and sections element. How 3D objects are created in prosteelu.
View 9 RepliesHow to do the automatic creation of 3D solids based on plans and sections element. How 3D objects are created in prosteelu.
View 9 RepliesI want to create a command:
My selection set consists of dbpoints that exists on my drawing and they are more or less in line
I create a new point3dcollection with this db points
I want to create a 3d polyline based on this point3d collection
My problem is : how to sort this point3d collection based on a picked start point and picked end point?
The only idea I have is:
from start point i calculate the distance to each point3d from collection and based on the results i sort the point3d collection based on distances.
My vision is when someone inserts "block A", a promt will come up and ask "how many of "block A" do you need?" Based on how many you need, it will insert the block along with the arrayed amount the user has typed in.
View 1 Replies View RelatedI want to create a pyramid with a base of three sides with different lenght. In the end i want to have a solid where i can drag and move the notes to change the hight,lenght and the angle of the sides.
I already managed to draw it in 3d but now i want to convert the drawing into a solid and keep it flexible to change the parameters by draging the notes.
I also tried to extrude a triangle with a specific angle but then i was only able to move the top note up and down changes the hight. Doing it this way the top note also kept beeping in the center-point of the triangle.
how to create a selection set based on a specific Multileader style? I can currently creating a typedvalue array to define the filter criteria, but cannot find the DXFCODE for the Multileader style.
Ex.
TypedValue[] acTypeValAr = new TypedValue[1];
acTypeValAr.setvalue(new TypedValue(DXFCODE, "Multileader Style"),0);
Drawing based on .ipn shows (should not show) surfaces used to trim, even their visibility are turned off.
Drawing is normal if based on .iam.
Only one part of the assembly is the problem. Other parts, also with trimming surfaces, are shown normal.
Please see images in .pdf attached.
I developed a program in VBA that used a form to allow users to create new dwg files based on selected criteria the vba program would then create and open the new dwg file and in the case of sheet files, it would populate title block attributes as well.
In vba, the forms focus was carried to the new file so the application would fill in the attributes, etc. as described above,
However in vb.net, I have not been able to get the form to recognize the new file. The program creates and opens the file, however the forms focus is still on the initial file so any actions to be applied to the new file are not carried out.
I have a macro that I acquired somewhere (possibly these boards, can't remember now) for placing a parts list. I have modified it somewhat to change the location on the sheet where the list gets placed, as well as a sub that starts the autoballoon command afterward.
The macro is set up to place the parts list in the upper left corner, by adding the parts list width to the Mini Point of the border. This works perfectly well, except that we have two parts list styles, and they are differently sized.
What I would like to do is have the macro detect the parts list style, and change the offset value depending on which style it finds. I am an extreme novice with the API, who basically knows just enough to tweak sample code a bit, and have not been able to find anything close enough to use as an example.
How I should go about this, or even post some samples of something similar? Current code is shown below.
Public Sub CreatePartsList() On Error Resume Next ' Set a reference to the drawing document. ' This assumes a drawing document is active. Dim oDrawDoc As DrawingDocument Set oDrawDoc = ThisApplication.ActiveDocument 'Set a reference to the active sheet. Dim oSheet As Sheet Set oSheet = oDrawDoc.ActiveSheet ' Set a reference to the first drawing view on ' the sheet. This assumes the first drawing ' view on the sheet is not a draft view. Dim oDrawingView As DrawingView Set oDrawingView = [code].......
The macro does not have to set the parts list style - that is controlled by the drawing Standard. It just needs to detect what it is, and place the list accordingly.
make a LISP that will work with my room dimensioning? I'd like to be able to specify the width and depth of the room using a command similar to the "dist" command, and then click a point to place a text based on the distances gathered. I'd also like the text to be formated into architectural units and displayed like this: 12'-0" X 13'-5". Also, if possible, round the result to the nearest inch (to avoid 1/2" and 1/4" dimensions).
View 9 Replies View RelatedI was interested in finding out if it's possible to write a LISP routine that would execute a pop-up dialog box say every 30 minutes. This is strictly for ergonomic reasons to remind the user to take a pre-determined break.
I am not an expert code writer by any means, but I imagine the routine would autoload and resetting the timer to 0 upon opening a particular drawing file. The LISP routine would then run in the background and run the (alert "") command when the timer reaches 30m 0s. When the user presses the OK button, the timer resets to 0 again.
Whenever I want to draw a line within a shape I have to start the line from the corner. Why am I not free to start where I want?
View 9 Replies View Relatedso im drawing a 3d object in an isometric view. it is a 3d extruded object. essentially it is an extruded decagonal tube. i have, at the bottom, a line marking the center of the decagon so i can snap to it, draw a decagon for the base, and extrude it. problem is, i go to draw the decagon (or anything, for that matter), and i cant snap to the inside of the solid. autocad will only let me select the face of the object. is this a setting i can uncheck, or do i have to change the way i am drawing this?
View 3 Replies View RelatedIm just starting to use autocad for a College course.
I learned building 3d shapes, inputting numbers for positioning and dimensions as you were forming them, but for some reason, the programme stopped letting me input them in boxes on each axis on the shape, I can only type them in to the status bar at the bottom. This is making it a lot more difficult for me. how to get the option back?
I wanted to know if their was an easier way to make duplicate shapes on a drawing. I am doing a survey plat and need to make at least 66 circles with a 2.5 radius on each corner of the lot. Using copy on autocad does not work since it will place the circles off center.
View 7 Replies View RelatedHow should I make a form which contains some shapes to be added to my drawing? by user pointing of course.
View 6 Replies View Relatedthe expression in question is part of larger lisp routine to create and rotate text based on the object selected and the viewtwist variable (we use dview twist to rotate our views when needed)
So the expression in question:
(< (/ pi 2) ang (* pi 1.5)
where ang is the total angle used to determine proper rotation of the text.
Now the problem. In most cases where ang = 90 (or 1.5708 radians) this works fine. the two exceptions i have encountered
in testing are a line at 70 degress, viewtwist 20, and line at 50, viewtwist 40. For whatever reason at these two conditions the expressoin evaulates True instead of nil and rotates the entire text object incorrectly (180 degrees). So question is how exactly is this being evaluated? i know its comparing ang (* pi 1.5) to (/ pi 2). is there some sort of rounding error? or maybe the expression needs a wee bit more definition? attached image and full lisp routine for reference of what is happening, blue text is angle of the line as created by routine at viewtwist 0.
One of my students managed to make previews of the objects dissapear while drawing and editing.
Ex: Making a circle, only the radius line shows up, no preview of the circle itself.
i am trying to use a seamless vector pattern i created in illustrator in photoshop, however when i resize it it is rasterized. is there a way to keep it a vector and use it as a layer effect?
View 1 Replies View RelatedWith any lens, there is an inherent distortion. I've seen grids at photozone.de in their lens reviews. If possible, I want to use Photoshop to create the same distortion my lens would create. For example, if I photograph a sheet of graph paper, the result would be a distorted grid. Can I get photoshop to take an UN-distorted grid, and distort it in the same manner? How complicated is this, if possible?
View 1 Replies View RelatedI'd like to either use Grid view sorted by dimensions, or create a Collection based on dimensions. I can do this in Adobe Bridge, but thought Lightroom would add functionality to this.
View 28 Replies View RelatedCan i create a saturation mask based on a gradient map? For the example a gradient blue from 2441f6 to 6075f6 , and have a luminosity mask based of this gradient.
View 21 Replies View RelatedI have been asked to produce a large text based image to be printed on a gym floor with a size of approx. 2m squared. I am using a Collegiate style font and then rasterising the text to allow different coloured parts and blending the letters in to each other. I have produced the image in small scale, but now need to redo the image suitable for printing at such a large size. I know I will have to start again from scratch but am concerned that it may be pixelated at such a large size.
View 4 Replies View Related I work a lot with Processing to create picture based on mathematical formula, but i need to do the same in Illustrator in order to print those picture.
Is there any way to do this, like the expressions in After Effects, or a third party plugins.
Or did i have to find a way to output good picture from Processing.
I have a client who requested some complex custom linetypes. (line - shape - line)
I built the shapes and stored them in my ltype.shp file, and compiled that to ltype.shx. Then I added the custom linetypes in my acad.lin file. So everything works on my machine with no problem. However, when I send the drawing to someone else, the linetype works, but the shapes are left out. My guess is that since her ltype.shx file does not contain my new shapes, the lines are just drawn without them.
Is there a way that I can have those linetypes, complete with shapes, ride along inside/embedded the dwg file?
And before you ask, no, it's not an option to provide the client with the shx file that contains these shapes. I'm one of many different people in many different companies that might work on these drawings in the future and there's just no way that they'll be able to send an shx file along with the drawing every time someone new needs to work on it.
I am doing some animations involving sine waves, and I can make an expression that controls the translation of an object such that it travels along the path of a sine wave, but I can't figure out how to dynamically create an editable sine wave curve.
Is there a way to have Maya generate a curve based upon the path that an object travels upon?
For instance I have a sphere that is moving along the X axis with time, and also moving up and down on the Z axis back and forth. I would like to make an editable curve object of this path of motion.
I can see in Maya 2012 we will have motion trails where we can see the actual path an object is moving along, and that we will be able to interact with this path to alter the animation, but what if we could take that path and make it an actual curve or NURBS object?
I am trying to create a parametric seating row with a Generic Line Based family.
If you check the file for the Length (default) parameter, I am multiplying it by the Arm Distance (600mm) so that the pattern repeats while I stretch out the line.
=Chairs * 600 mm
I want to add a parameter for the Arm Distance linked with the actual seat so that if I make the chair wider the pattern would adjust accordingly.
=Chairs * Arm Distance3
This way I could adjust the chair width and Line Based family all at once. However, I am finding that when I add "Arm Distance3" to the equation the Line Based feature stops working.
Let me start by saying that we rarely use sheet metal parts so I'm not real familiar with that interface. That said, I can create sheet metal parts with square shapes and bends just fine. However, I'm currently stumped as to the best way to model what should be a pretty simple plate.
We have a large, thin (1/8") square plate to which we want to add 2 opposing diagonal very slight breaks to add stiffness to the plate. More specifically, we want these diagonal bends to cover the center part of the plate leaving about a 2" flat flange all the way around the plate.
Is there a way to convert the pixel based phtoshop files to the vector based illustrator files?
View 2 Replies View RelatedThe intersection wizard makes dynamic EOP profiles based off of the cross slope from the centerline. Well the intersection tool doesn't always work with funky intersection layouts. Is it possible to manually create a dynamic EOP profile based on the cross slope from the centerline profile?
Civil 3D 2012
Windows 7, 64 bit
I am using CorelDRAW 16.3.0.1114.
Supposedly, when using any of several shape drawing tools:
• If I hold Shift when dragging, the shape will be drawn centered on my starting point.
• If I hold Crtl when dragging, the shape will be drawn with a constrained aspect ratio (such as a circle for the Ellipse tool, a square for the Rectangle tool).
But in fact, for the Ellipse and Rectangle tools:
• If I hold Shift when dragging, the shape will be drawn with a constrained aspect ratio (a
circle for the Ellipse tool, a square for the Rectangle tool)..
• If I hold Ctrl when dragging, there is no effect on the drawing of the shape.
For the Basic Shapes tool:
• If I hold Shift when dragging, the shape will be drawn centered on my starting point..
• If I hold Ctrl when dragging, there is no effect on the drawing of the shape.
Drawing simple lines and shapes?
View 9 Replies View Related